summaryrefslogtreecommitdiff
path: root/tests/xsthammer/run-vivado.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/xsthammer/run-vivado.sh')
-rw-r--r--tests/xsthammer/run-vivado.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/xsthammer/run-vivado.sh b/tests/xsthammer/run-vivado.sh
new file mode 100644
index 00000000..87ee53cb
--- /dev/null
+++ b/tests/xsthammer/run-vivado.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+if [ $# -eq 0 ]; then
+ echo "Usage: $0 <job_id>" >&2
+ exit 1
+fi
+
+job="$1"
+set --
+
+set -e
+mkdir -p vivado vivado_temp/$job
+cd vivado_temp/$job
+
+cat > $job.tcl <<- EOT
+ read_verilog ../../rtl/$job.v
+ synth_design -part xc7k70t -top $job
+ write_verilog ../../vivado/$job.v
+EOT
+
+. /opt/Xilinx/14.5/ISE_DS/settings64.sh
+
+vivado -mode batch -source $job.tcl
+
+exit 0
+